package com.donglan.ahxf.ahxfmeetregisterwindow.service;


import com.donglan.ahxf.ahxfmeetregisterwindow.dao.RegisterWindowDao;
import com.donglan.ahxf.ahxfmeetregisterwindow.entity.RegisterWindow;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author shj
 * @date 2020-01-03 13:05
 */
@Service
@Transactional
public class RegisterWindowService {
    @Autowired
    private RegisterWindowDao registerWindowDao;

    public RegisterWindow findByWinNum(Integer winNum) {
        return registerWindowDao.findByWinNum(winNum);
    }

    public List<RegisterWindow> findAll() {
        return  registerWindowDao.findAll();
    }

    public RegisterWindow save(RegisterWindow registerWindow) {
        return registerWindowDao.save(registerWindow);
    }

    public RegisterWindow findByUserId(String userId){
        return registerWindowDao.findByUserId(userId);
    }
}